﻿using System;

namespace Simorgh.SqlServerDependency
{
    public static class Program
    {
        //________________________________________________________________________

        private const string APPKEY_CONNECTIONSTRING = "MyConnection";
        private const string SQL_SELECT = "SELECT [UserID], [Username], [Password] FROM dbo.[Users];";
        //________________________________________________________________________

        public static void Main(string[] args)
        {
            string connectionstring = System.Configuration.ConfigurationManager.ConnectionStrings[APPKEY_CONNECTIONSTRING].ConnectionString;

            using (var qn = new QueryNotification(connectionstring, SQL_SELECT))
            {
                qn.OnChange += (s, e) => Console.WriteLine($"Database changed: {nameof(e.Source)}={e.Source}, {nameof(e.Type)}={e.Type}, {nameof(e.Info)}={e.Info}");

                Console.WriteLine("APP is start.");
                Console.WriteLine(" http://www.simorgh.pro 2016-10-13 A.D. 1395-07-22 Jalali.");
                Console.WriteLine();
                Console.WriteLine("press any key for exit...");
                Console.WriteLine("-------------------------");
                Console.ReadKey();
            }
        }
        //________________________________________________________________________
    }
}
